# Enum Class HeightSpec

java.lang.Object
java.lang.Enum<HeightSpec>
org.daypilot.ui.enums.HeightSpec

All Implemented Interfaces:
  `Serializable`, `Comparable<HeightSpec>`, `Constable`

public enum HeightSpec extends Enum<HeightSpec>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUSINESS_HOURS`
  `BUSINESS_HOURS_NO_SCROLL`
  `FIXED`
  `FULL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HeightSpec`
  `parse(String input)`
  `static HeightSpec`
  `parseSoft(String input)`
  `String`
  `toString()`
  `static HeightSpec`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HeightSpec[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIXED

    public static final HeightSpec FIXED

  - ### FULL

    public static final HeightSpec FULL

  - ### BUSINESS_HOURS

    public static final HeightSpec BUSINESS_HOURS

  - ### BUSINESS_HOURS_NO_SCROLL

    public static final HeightSpec BUSINESS_HOURS_NO_SCROLL

- ## Method Details

  - ### values

    public static HeightSpec[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HeightSpec valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<HeightSpec>`

  - ### parse

    public static HeightSpec parse(String input)

  - ### parseSoft

    public static HeightSpec parseSoft(String input)